%define	module	Archive-Tar
%define	name	perl-%{module}
%define	version	1.25
%define	release	1mdk

Summary:	Perl module for manipulation of tar archives
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/K/KA/KANE/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Patch0:		Archive-Tar-1.25.ptardiff.patch.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Perl module for manipulation of tar archives.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Archive/
%{_mandir}/man3/*
%{_bindir}/ptar
%{_bindir}/ptardiff

%changelog
* Mon Aug 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- 1.25
- Doesn't depend on IO::String anymore
- Install ptardiff(1) utility (patch0, upstream bug:)

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- 1.24

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.23-1mdk
- 1.23

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.22-1mdk
- 1.22

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.21-1mdk
- 1.21
- fix buildrequires

* Tue Jun 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.10-1mdk
- 1.10
- cosmetics

* Mon May 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.09-1mdk
- 1.09
- the ptar utility returns.

* Wed Apr 21 2004 Michael Scherer <misc@mandrake.org> 1.08-1mdk 
- 1.08
- [DIRM]
- rpmbuildupdate aware

* Thu Aug 28 2003 François Pons <fpons@mandrakesoft.com> 1.05-1mdk
- removed ptar no more available.
- 1.05.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-9mdk
- mv rm buildroot from %%prep to %%install
- don't need perllocal.pod rm now.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-8mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-7mdk
- Use %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 0.22-6mdk
- Fix man path
- Macroification
- Quiet %%setup
- Fix unpackaged perllocal error

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.22-5mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 0.22-4mdk
- add "BuildRequires: perl-devel"

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.22-3mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.22-2mdk
- rebuild

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.22-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
